Developers

Replaces the Risk resource

PUT
/project/risks/{id}

Replaces the Risk resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

Risk identifier

Request Body

The updated Risk resource

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Lengthlength <= 100
description?|
Lengthlength <= 100000
probability?|
Range1 <= value <= 5
date?|
Formatdate-time
projectUser?|
Formatuuid
project*string
Formatuuid
stage?|
Formatuuid
board?|
Formatuuid
task?|
Formatuuid
type?|
Formatuuid
impact?|
Formatuuid

Response Body

curl -X PUT "https://example.com/project/risks/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "probability": 0,  "date": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "projectUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string"  },  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectName": "string",  "projectShortCode": "string",  "projectIsSimple": true,  "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",  "stageName": "string",  "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",  "boardName": "string",  "boardShortCode": "string",  "task": "4879b8a6-fb3e-4a0d-aef8-b0ea469ac85c",  "taskName": "string",  "taskShortCode": "string",  "type": "4595bf66-18b2-445a-a884-1b08d0c2df0e",  "typeName": "string",  "impact": "4f76d8c5-a77a-40a5-b154-4cb5b989b7aa",  "impactName": "string"}